Bug 11969 - Show patrons star rating on their reading history
Summary: Show patrons star rating on their reading history
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 10659
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-19 21:24 UTC by Nicole C. Engard
Modified: 2019-04-26 13:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 11969: Show patrons star rating on their reading history (9.87 KB, patch)
2018-11-29 15:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11969: Show patrons star rating on their reading history (10.65 KB, patch)
2019-02-20 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11969: Show patrons star rating on their reading history (10.87 KB, patch)
2019-03-05 01:48 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11969: Show patrons star rating on their reading history (35.05 KB, patch)
2019-03-26 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11969: Show patrons star rating on their reading history (7.65 KB, patch)
2019-04-09 16:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11969: Show patrons star rating on their reading history (7.72 KB, patch)
2019-04-09 18:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-19 21:24:42 UTC
If the patron has rated something they have read show the stars on their reading history so that they know what they rated the title.
Comment 1 Katrin Fischer 2018-08-02 00:09:44 UTC
+1
Comment 2 Owen Leonard 2018-11-29 15:28:59 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-02-20 13:45:25 UTC Comment hidden (obsolete)
Comment 4 Hayley Mapley 2019-03-05 01:48:27 UTC
Created attachment 86047 [details] [review]
Bug 11969: Show patrons star rating on their reading history

This patch adds display of a user's ratings to their reading history in
the OPAC.

Also changed: Removed obsolete "border" attribute from the template.

To test, apply the patch and rebuild the OPAC CSS. OpacStarRatings
should be enabled.

 - Log in to the OPAC as a user with a reading history and titles in
   that history which have ratings.
 - Under the "your reading history" tab, your ratings should show under
   rated titles with the date of the rating.
 - Test also with OpacStarRatings disabled.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Star ratings are displayed in Reading History with OpacStarRatings enabled, and
are not displayed when OpacStarRatings is disabled, as expected.
Comment 5 Katrin Fischer 2019-03-06 06:51:03 UTC
Comment on attachment 86047 [details] [review]
Bug 11969: Show patrons star rating on their reading history

Review of attachment 86047 [details] [review]:
-----------------------------------------------------------------

::: opac/opac-readingrecord.pl
@@ +147,4 @@
>  	}
>  }
>  
> +for(qw(OPACAmazonCoverImages GoogleJackets SyndeticsCoverImages)) { # BakerTaylorEnabled handled above

Why this change?
Comment 6 Owen Leonard 2019-03-26 13:57:02 UTC
Created attachment 87016 [details] [review]
Bug 11969: Show patrons star rating on their reading history

This patch adds display of a user's ratings to their reading history in
the OPAC.

Also changed: Removed obsolete "border" attribute from the template, and
removed obsolete JavaScript include from opac-results.tt

To test, apply the patch and rebuild the OPAC CSS. OpacStarRatings
should be set to all (results and details).

 - Log in to the OPAC as a user with a reading history and titles in
   that history which have ratings.
 - Under the "your reading history" tab, your ratings should show under
   rated titles with the date of the rating.
 - Test also with OpacStarRatings set to a value other than "all."
Comment 7 Owen Leonard 2019-03-26 14:03:46 UTC
(In reply to Katrin Fischer from comment #5)
> > +for(qw(OPACAmazonCoverImages GoogleJackets SyndeticsCoverImages)) { # BakerTaylorEnabled handled above
> 
> Why this change?

I accidentally included in my patch some unrelated changes I was testing. I've redone the patch without those changes.
Comment 8 Marie-Luce Laflamme 2019-04-05 20:31:11 UTC
Patch doesn't apply. 

CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-results.tt
Auto-merging koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-readingrecord.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-readingrecord.tt
error: Failed to merge in the changes.
Comment 9 Owen Leonard 2019-04-09 16:29:49 UTC
Created attachment 87636 [details] [review]
Bug 11969: Show patrons star rating on their reading history

This patch adds display of a user's ratings to their reading history in
the OPAC.

Also changed: Removed obsolete "border" attribute from the template, and
removed obsolete JavaScript include from opac-results.tt

To test, apply the patch and rebuild the OPAC CSS. OpacStarRatings
should be set to all (results and details).

 - Log in to the OPAC as a user with a reading history and titles in
   that history which have ratings.
 - Under the "your reading history" tab, your ratings should show under
   rated titles with the date of the rating.
 - Test also with OpacStarRatings set to a value other than "all."

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Star ratings are displayed in Reading History with OpacStarRatings
enabled, and are not displayed when OpacStarRatings is disabled, as
expected.
Comment 10 Katrin Fischer 2019-04-09 18:46:02 UTC
Created attachment 87666 [details] [review]
Bug 11969: Show patrons star rating on their reading history

This patch adds display of a user's ratings to their reading history in
the OPAC.

Also changed: Removed obsolete "border" attribute from the template, and
removed obsolete JavaScript include from opac-results.tt

To test, apply the patch and rebuild the OPAC CSS. OpacStarRatings
should be set to all (results and details).

 - Log in to the OPAC as a user with a reading history and titles in
   that history which have ratings.
 - Under the "your reading history" tab, your ratings should show under
   rated titles with the date of the rating.
 - Test also with OpacStarRatings set to a value other than "all."

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Star ratings are displayed in Reading History with OpacStarRatings
enabled, and are not displayed when OpacStarRatings is disabled, as
expected.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Nick Clemens 2019-04-17 12:26:14 UTC
Awesome work all!

Pushed ot master for 19.05
Comment 12 Martin Renvoize 2019-04-26 13:21:49 UTC
Enhancement will not be backported to 18.11.x series.